<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.CameraData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_camera_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_camera_data-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.CameraData Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Internally represents a Unity UnityEngine.Camera.  
 <a href="class_tri_lib_1_1_camera_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a8c75e61de00164b45099113ad428881a"><td class="memItemLeft" align="right" valign="top"><a id="a8c75e61de00164b45099113ad428881a" name="a8c75e61de00164b45099113ad428881a"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>Name</b></td></tr>
<tr class="separator:a8c75e61de00164b45099113ad428881a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfb5a0f43fd73ada533d4d0f372ec3fa"><td class="memItemLeft" align="right" valign="top"><a id="abfb5a0f43fd73ada533d4d0f372ec3fa" name="abfb5a0f43fd73ada533d4d0f372ec3fa"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Aspect</b></td></tr>
<tr class="separator:abfb5a0f43fd73ada533d4d0f372ec3fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4107efccc80b5ae3ad1136df2edd9ef1"><td class="memItemLeft" align="right" valign="top"><a id="a4107efccc80b5ae3ad1136df2edd9ef1" name="a4107efccc80b5ae3ad1136df2edd9ef1"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>NearClipPlane</b></td></tr>
<tr class="separator:a4107efccc80b5ae3ad1136df2edd9ef1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4dd1246d983022597d761395598cf4e"><td class="memItemLeft" align="right" valign="top"><a id="af4dd1246d983022597d761395598cf4e" name="af4dd1246d983022597d761395598cf4e"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>FarClipPlane</b></td></tr>
<tr class="separator:af4dd1246d983022597d761395598cf4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b684799eccc6295e86e448234d6b302"><td class="memItemLeft" align="right" valign="top"><a id="a2b684799eccc6295e86e448234d6b302" name="a2b684799eccc6295e86e448234d6b302"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>FieldOfView</b></td></tr>
<tr class="separator:a2b684799eccc6295e86e448234d6b302"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76061f82ef9ca798306479dee9be39be"><td class="memItemLeft" align="right" valign="top"><a id="a76061f82ef9ca798306479dee9be39be" name="a76061f82ef9ca798306479dee9be39be"></a>
Vector3&#160;</td><td class="memItemRight" valign="bottom"><b>LocalPosition</b></td></tr>
<tr class="separator:a76061f82ef9ca798306479dee9be39be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa98f401db9e22ca9d9800f3ca0c7b5fd"><td class="memItemLeft" align="right" valign="top"><a id="aa98f401db9e22ca9d9800f3ca0c7b5fd" name="aa98f401db9e22ca9d9800f3ca0c7b5fd"></a>
Vector3&#160;</td><td class="memItemRight" valign="bottom"><b>Forward</b></td></tr>
<tr class="separator:aa98f401db9e22ca9d9800f3ca0c7b5fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcf44ee4de4ca869dff218bc3e95de28"><td class="memItemLeft" align="right" valign="top"><a id="afcf44ee4de4ca869dff218bc3e95de28" name="afcf44ee4de4ca869dff218bc3e95de28"></a>
Vector3&#160;</td><td class="memItemRight" valign="bottom"><b>Up</b></td></tr>
<tr class="separator:afcf44ee4de4ca869dff218bc3e95de28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5a0ab8e0d37349d707e31e5dac5b660"><td class="memItemLeft" align="right" valign="top"><a id="ac5a0ab8e0d37349d707e31e5dac5b660" name="ac5a0ab8e0d37349d707e31e5dac5b660"></a>
Camera&#160;</td><td class="memItemRight" valign="bottom"><b>Camera</b></td></tr>
<tr class="separator:ac5a0ab8e0d37349d707e31e5dac5b660"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Internally represents a Unity UnityEngine.Camera. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/InternalData/<a class="el" href="_camera_data_8cs.html">CameraData.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_camera_data.html">CameraData</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
